Bug 691316 - { /ISOLatin2Encoding findencoding } fails
Summary: { /ISOLatin2Encoding findencoding } fails
Status: RESOLVED WONTFIX
Alias: None
Product: Ghostscript
Classification: Unclassified
Component: Resource (show other bugs)
Version: 8.64
Hardware: PC Linux
: P4 enhancement
Assignee: Default assignee
QA Contact: Bug traffic
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-18 07:05 UTC by Christopher Yeleighton
Modified: 2014-02-17 04:44 UTC (History)
2 users (show)

See Also:
Customer:
Word Size: ---


Attachments
An ISOLatin2Encoding resource file (5.81 KB, text/plain)
2010-05-21 13:15 UTC, Ken Sharp
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Yeleighton 2010-05-18 07:05:08 UTC
{ /ISOLatin2Encoding findencoding } fails unless you start gs with -fgs_il2_e.ps.  
A workaround would be to add a link to the Encoding resource directory --- but the file gs_il2_e.ps is not DSC-marked as a resource file --- or to load this file on site init --- but this is contrary to the concepts of resources that should be loadable on demand.
Comment 24 Ken Sharp 2010-05-21 13:15:14 UTC
Created attachment 6311 [details]
An ISOLatin2Encoding resource file

Attached is a file, suitable to use as a resource, which I believe to be correct for the non-standard ISOLatin2 encoding (as usual no warranty etc, see the file header for specifics). This file should simply be dropped into gs/Resource/Encoding, or any other path in the users Ghostscript search path.

Please note that with modern Ghostscript versions the resources are, by default, built into the executable. In this case you *must* specify the file location as part of the Ghostscript command line, using the -I switch.